This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 713888 - pidgin should build against external libgadu, not internal
pidgin should build against external libgadu, not internal
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stu Tomlinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2011-06-16 13:33 EDT by Vincent Danen
Modified: 2012-08-08 10:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-06-16 13:33:24 EDT
Pidgin currently contains a copy of its own libgadu library internally.  Is it not possible to build pidgin against the external libgadu as part of Fedora?  This way if there are security flaws found in libgadu, we only have to patch libgadu, and not both.
Comment 1 Dominik 'Rathann' Mierzejewski 2011-07-10 06:45:56 EDT
For the record, I just did a diff between pidgin-2.9.0's libgadu copy and libgadu-0.11.0. The only changes are win32 support. Everything else looks vanilla.

Blocking the tracking bug for this.
Comment 2 Fedora Update System 2011-08-24 08:17:14 EDT
pidgin-2.10.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pidgin-2.10.0-1.fc15
Comment 3 Fedora Update System 2011-08-24 08:17:39 EDT
pidgin-2.10.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pidgin-2.10.0-1.fc16
Comment 4 Fedora Update System 2011-08-24 08:18:08 EDT
pidgin-2.10.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pidgin-2.10.0-1.fc14
Comment 5 Dominik 'Rathann' Mierzejewski 2011-08-24 12:09:04 EDT
Looking at build logs, you forgot to add BuildRequires: libgadu-devel to both F-14 and F-15 branch updates.
Comment 6 Stu Tomlinson 2011-08-24 12:15:26 EDT
Actually, this change has only been made in F16+. I do not intend to make the change for existing Fedora releases. I issued updates through bodhi for F14-16 at the same time which is why those releases incorrectly reference this bug.
Comment 7 Dominik 'Rathann' Mierzejewski 2011-08-24 12:21:50 EDT
Well, please edit the F-15 and F-14 updates and remove the incorrectly referenced bug, then.
Comment 8 Stu Tomlinson 2011-08-24 12:24:26 EDT
(In reply to comment #7)
> Well, please edit the F-15 and F-14 updates and remove the incorrectly
> referenced bug, then.

Done.
Comment 9 Fedora Update System 2011-08-24 18:47:40 EDT
Package pidgin-2.10.0-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pidgin-2.10.0-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/pidgin-2.10.0-1.fc16
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2011-12-29 08:24:23 EST
pidgin-2.10.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pidgin-2.10.1-1.fc15
Comment 11 Fedora Update System 2011-12-29 08:25:13 EST
pidgin-2.10.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pidgin-2.10.1-1.fc16
Comment 12 Fedora End Of Life 2012-08-07 16:26:47 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Toshio Ernie Kuratomi 2012-08-08 10:58:02 EDT
Just changing the closed type to show this was fixed in a later release

Note You need to log in before you can comment on or make changes to this bug.